Application: gvSIG desktop - gvSIG bugs #799
Error loading WMS layer after first session
06/21/2012 05:07 PM - Manuel Madrid

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: WMS

Target version: 2.0.0-devel-2050

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2048 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1. Install gvSIG 2.0 2048 (standard distribution, typical installation)
2. Open it and load a WMS layer. Everything is ok.

3. Exit and open it again.

4. Load the same WMS layer. We get an error.

Attached the log file and an extract from the Linux command line.

Associated revisions

Revision 38532 - 07/02/2012 09:20 AM - Joaquin del Cerro Murciano

fixes #799

Cuando se ejecutaba desde una ruta distinta a dode se encontraba el gvSIG.sh no encontraba las librerias nativas.

Se estaba guardando los paths a las nativas con una ruta relativa y luego cambiaba el directorio corriente, asi que luego no las encontraba.

History

#1 - 06/21/2012 05:19 PM - Manuel Madrid

- Assignee set to Ignacio Brodin

#2 - 06/22/2012 12:05 PM - Manuel Madrid

- Target version changed from 1.12.0-rc1 to 2.0.0-rc1
#3 - 06/24/2012 09:47 PM - Joaquin del Cerro Murciano
- Priority changed from Normal to High

- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#4 - 07/02/2012 02:06 PM - Ignacio Brodin

- Assignee changed from Ignacio Brodin to Joaquin del Cerro Murciano

Error en el calculo de GVSIG_HOME en gvSIG.sh
#5 - 07/02/2012 03:24 PM - Joaquin del Cerro Murciano

Al parecer el primer arranque lo hacia desde el propio proceso de instalacion mientras que los siguientes los hacia desde linea de comandos

especificando una ruta relativa del estilo de:
/gvsig-desktop/gvSIG-desktop-2.0.0-2048/gvSIG.sh

y ejecutandolo de esta forma, en el gvSIG.sh se calculaba mal el GVSIG_HOME y luego ya no encontraba las nativas de raster.

#6 - 07/02/2012 03:24 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed
- % Done changed from 0 to 100

Applied in changeset r38532.

#7 - 08/29/2012 02:27 PM - Joaquin del Cerro Murciano

- Status changed from Fixed to Closed

Files

gvSIG_WMS.log 146 KB 06/21/2012 Manuel Madrid

Error WMS_after_first_session.txt 8.51 KB 06/21/2012 Manuel Madrid
